Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.support.soap
Class SoapVersion11

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.soap.AbstractSoapVersion
          com.eviware.soapui.impl.wsdl.support.soap.SoapVersion11

All Implemented Interfaces:
  SoapVersion

    public class SoapVersion11

extends AbstractSoapVersion

SoapVersion for SOAP 1.1

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.impl.wsdl.support.soap.SoapVersion
`SoapVersion.Utils`

Field Summary
`static SoapVersion11` | `instance`

Fields inherited from interface com.eviware.soapui.impl.wsdl.support.soap.SoapVersion
`Soap11, Soap12`

Method Summary
`javax.xml.namespace.QName` | `getBodyQName()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getContentTypeHttpHeader(java.lang.String encoding, java.lang.String soapAction)`
`java.lang.String` | `getEncodingNamespace()`
`java.lang.String` | `getEnvelopeNamespace()`
`javax.xml.namespace.QName` | `getEnvelopeQName()`
`org.apache.xmlbeans.SchemaType` | `getEnvelopeType()`
`org.apache.xmlbeans.SchemaType` | `getFaultType()`
`javax.xml.namespace.QName` | `getHeaderQName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSoapActionHeader(java.lang.String soapAction)`
`org.apache.xmlbeans.XmlObject` | `getSoapEncodingSchema()`
`org.apache.xmlbeans.XmlObject` | `getSoapEnvelopeSchema()`
`protected org.apache.xmlbeans.SchemaTypeLoader` | `getSoapEnvelopeSchemaLoader()`
`java.lang.String` | `toString()`

Methods inherited from class com.eviware.soapui.impl.wsdl.support.soap.AbstractSoapVersion
`shouldIgnore, validateSoapEnvelope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instance

    public static final SoapVersion11 instance

Method Detail

### getEnvelopeType

    public org.apache.xmlbeans.SchemaType getEnvelopeType()

  Specified by:
    `getEnvelopeType` in interface `SoapVersion`
  Specified by:
    `getEnvelopeType` in class `AbstractSoapVersion`

### getEnvelopeNamespace

    public java.lang.String getEnvelopeNamespace()

### getEncodingNamespace

    public java.lang.String getEncodingNamespace()

### getSoapEncodingSchema

    public org.apache.xmlbeans.XmlObject getSoapEncodingSchema()
                                                        throws org.apache.xmlbeans.XmlException,
                                                               java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### getSoapEnvelopeSchema

    public org.apache.xmlbeans.XmlObject getSoapEnvelopeSchema()
                                                        throws org.apache.xmlbeans.XmlException,
                                                               java.io.IOException

  Throws:
    `org.apache.xmlbeans.XmlException`
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getContentTypeHttpHeader

    public java.lang.String getContentTypeHttpHeader(java.lang.String encoding,
                                                     java.lang.String soapAction)

### getSoapActionHeader

    public java.lang.String getSoapActionHeader(java.lang.String soapAction)

### getContentType

    public java.lang.String getContentType()

### getBodyQName

    public javax.xml.namespace.QName getBodyQName()

### getEnvelopeQName

    public javax.xml.namespace.QName getEnvelopeQName()

### getHeaderQName

    public javax.xml.namespace.QName getHeaderQName()

### getSoapEnvelopeSchemaLoader

    protected org.apache.xmlbeans.SchemaTypeLoader getSoapEnvelopeSchemaLoader()

  Specified by:
    `getSoapEnvelopeSchemaLoader` in class `AbstractSoapVersion`

### getFaultType

    public org.apache.xmlbeans.SchemaType getFaultType()

  Specified by:
    `getFaultType` in interface `SoapVersion`
  Specified by:
    `getFaultType` in class `AbstractSoapVersion`

### getName

    public java.lang.String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.